NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Die::HeelpostBuilder Class Reference

Represents a NXOpen::Die::HeelpostBuilder builder
To create a new instance of this class, use NXOpen::Die::DieCollection::Heelpost
Default values. More...

Inheritance diagram for NXOpen::Die::HeelpostBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Types { TypesGuidepostWearplate, TypesStorageBlock, TypesSafetyBlock }
 Heelpost types. More...
 

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance
Created in NX6.0.0. More...
 
NXOpen::ExpressionBaseOffset ()
 Returns the offset to apply to the given base before building the heelpost
Created in NX6.0.0. More...
 
NXOpen::Die::DiePlaneBuilderBaseOrientation ()
 Returns the base of the heelpost
Created in NX6.0.0. More...
 
NXOpen::Die::DieLocationBuilderCenter ()
 Returns the location (center) for the heelpost
Created in NX6.0.0. More...
 
bool CreateFloor ()
 Returns the value (true or false) to decide if the floor of the post should be created
Created in NX6.0.0. More...
 
NXOpen::ExpressionDiameter ()
 Returns the diameter of the guide pin hole
Created in NX6.0.0. More...
 
NXOpen::SelectCoordinateSystemDieCenterlineCoordinateSystem ()
 Returns the die centerline coordinate system for orienting the heelpost
Created in NX6.0.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX6.0.0. More...
 
NXOpen::ExpressionFloorThickness ()
 Returns the floor thickness
Created in NX6.0.0. More...
 
NXOpen::ExpressionHeight ()
 Returns the height from the selected base orientation to the origin of the pad orientation, if the pad orientation is not specified. More...
 
NXOpen::Die::DieAttributesBuilderHoleAttributes ()
 Returns the hole attributes
Created in NX6.0.0. More...
 
NXOpen::Die::DieAttributesBuilderHoleDiameterAttributes ()
 Returns the hole diameter attributes (only the title is used)
Created in NX6.0.0. More...
 
NXOpen::ExpressionLength ()
 Returns the length with respect to the coordinate system
Created in NX6.0.0. More...
 
NXOpen::ExpressionLocationOffset ()
 Returns the offset value to apply in the offset direction to find the heelpost center
Created in NX6.0.0. More...
 
NXOpen::Die::DieDirectionBuilderOffsetDirection ()
 Returns the direction to apply to the location to determine the center of the heelpost
Created in NX6.0.0. More...
 
NXOpen::Die::DieAttributesBuilderPadAttributes ()
 Returns the pad attributes
Created in NX6.0.0. More...
 
NXOpen::ExpressionPadOffset ()
 Returns the offset value to apply to the pad orientation before building the heelpost
Created in NX6.0.0. More...
 
NXOpen::Die::DiePlaneBuilderPadOrientation ()
 Returns the orientation at the top of the heelpost
Created in NX6.0.0. More...
 
NXOpen::ExpressionPadThickness ()
 Returns the pad thickness at the top of the post
Created in NX6.0.0. More...
 
NXOpen::Die::DieAttributesBuilderReliefAttributes ()
 Returns the relief attributes
Created in NX6.0.0. More...
 
NXOpen::ExpressionReliefDepth ()
 Returns the relief depth
Created in NX6.0.0. More...
 
NXOpen::ExpressionReliefWidth ()
 Returns the relief width
Created in NX6.0.0. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance
Created in NX6.0.0. More...
 
void SetCreateFloor (bool createFloor)
 Sets the value (true or false) to decide if the floor of the post should be created
Created in NX6.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX6.0.0. More...
 
void SetType (NXOpen::Die::HeelpostBuilder::Types type)
 Sets the post type
Created in NX6.0.0. More...
 
void SetUsePercent (bool usePercent)
 Sets the value (true or false) to decide how to determine the wall thickness. More...
 
void SetWallACreate (bool wallACreate)
 Sets the value (true or false) to decide if the "A" wall should be created
Created in NX6.0.0. More...
 
void SetWallARelief (bool wallARelief)
 Sets the value (true or false) to decide if relief should be created at the top of the "A" wall
Created in NX6.0.0. More...
 
void SetWallBCreate (bool wallBCreate)
 Sets the value (true or false) to decide if the "B" wall should be created
Created in NX6.0.0. More...
 
void SetWallBRelief (bool wallBRelief)
 Sets the value (true or false) to decide if relief should be created at the top of the "B" wall
Created in NX6.0.0. More...
 
void SetWallCCreate (bool wallCCreate)
 Sets the value (true or false) to decide if the "C" wall should be created
Created in NX6.0.0. More...
 
void SetWallCRelief (bool wallCRelief)
 Sets the value (true or false) to decide if relief should be created at the top of the "C" wall
Created in NX6.0.0. More...
 
void SetWallDCreate (bool wallDCreate)
 Sets the value (true or false) to decide if the "D" wall should be created
Created in NX6.0.0. More...
 
void SetWallDRelief (bool wallDRelief)
 Sets the value (true or false) to decide if relief should be created at the top of the "D" wall
Created in NX6.0.0. More...
 
NXOpen::SelectNXObjectTarget ()
 Returns the target solid the heelpost will be united with
Created in NX6.0.0. More...
 
NXOpen::Die::HeelpostBuilder::Types Type ()
 Returns the post type
Created in NX6.0.0. More...
 
bool UsePercent ()
 Returns the value (true or false) to decide how to determine the wall thickness. More...
 
bool WallACreate ()
 Returns the value (true or false) to decide if the "A" wall should be created
Created in NX6.0.0. More...
 
NXOpen::ExpressionWallAOffset ()
 Returns the offset from the outside to be applied to the "A" wall
Created in NX6.0.0. More...
 
bool WallARelief ()
 Returns the value (true or false) to decide if relief should be created at the top of the "A" wall
Created in NX6.0.0. More...
 
NXOpen::ExpressionWallAThickness ()
 Returns the "A" wall thickness
Created in NX6.0.0. More...
 
bool WallBCreate ()
 Returns the value (true or false) to decide if the "B" wall should be created
Created in NX6.0.0. More...
 
NXOpen::ExpressionWallBOffset ()
 Returns the offset from the outside to be applied to the "B wall
Created in NX6.0.0. More...
 
bool WallBRelief ()
 Returns the value (true or false) to decide if relief should be created at the top of the "B" wall
Created in NX6.0.0. More...
 
NXOpen::ExpressionWallBThickness ()
 Returns the "B" wall thickness
Created in NX6.0.0. More...
 
bool WallCCreate ()
 Returns the value (true or false) to decide if the "C" wall should be created
Created in NX6.0.0. More...
 
NXOpen::ExpressionWallCOffset ()
 Returns the offset from the outside to be applied to the "C" wall
Created in NX6.0.0. More...
 
bool WallCRelief ()
 Returns the value (true or false) to decide if relief should be created at the top of the "C" wall
Created in NX6.0.0. More...
 
NXOpen::ExpressionWallCThickness ()
 Returns the "C" wall thickness
Created in NX6.0.0. More...
 
bool WallDCreate ()
 Returns the value (true or false) to decide if the "D" wall should be created
Created in NX6.0.0. More...
 
NXOpen::ExpressionWallDOffset ()
 Returns the offset from the outside to be applied to the "D" wall
Created in NX6.0.0. More...
 
bool WallDRelief ()
 Returns the value (true or false) to decide if relief should be created at the top of the "D" wall
Created in NX6.0.0. More...
 
NXOpen::ExpressionWallDThickness ()
 Returns the "D" wall thickness
Created in NX6.0.0. More...
 
NXOpen::ExpressionWallPercentage ()
 Returns the percentage of the post area to be applied to determine the wall thicknesses
Created in NX6.0.0. More...
 
NXOpen::ExpressionWidth ()
 Returns the width with respect to the coordinate system
Created in NX6.0.0. More...
 
NXOpen::ExpressionXOffset ()
 Returns the offset applied in the X direction to determine the hole center
Created in NX6.0.0. More...
 
NXOpen::ExpressionYOffset ()
 Returns the offset applied in the Y direction to determine the hole center
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Die::HeelpostBuilder builder
To create a new instance of this class, use NXOpen::Die::DieCollection::Heelpost
Default values.

Property Value

AngleTolerance

0.5

BaseOffset.Value

0 (millimeters part), 0 (inches part)

Center.InputType

SelectLocation

CreateFloor

0

Diameter.Value

50 (millimeters part), 2 (inches part)

DistanceTolerance

0.0254

FloorThickness.Value

60 (millimeters part), 1.4 (inches part)

Height.Value

300 (millimeters part), 12 (inches part)

Length.Value

150 (millimeters part), 6 (inches part)

LocationOffset.Value

0 (millimeters part), 0 (inches part)

PadOffset.Value

0 (millimeters part), 0 (inches part)

PadThickness.Value

60 (millimeters part), 10.4 (inches part)

ReliefDepth.Value

5 (millimeters part), 0.2 (inches part)

ReliefWidth.Value

5 (millimeters part), 0.2 (inches part)

UsePercent

0

WallACreate

1

WallAOffset.Value

0 (millimeters part), 0 (inches part)

WallARelief

0

WallAThickness.Value

30 (millimeters part), 1.2 (inches part)

WallBCreate

1

WallBOffset.Value

0 (millimeters part), 0 (inches part)

WallBRelief

0

WallBThickness.Value

30 (millimeters part), 1.2 (inches part)

WallCCreate

1

WallCOffset.Value

0 (millimeters part), 0 (inches part)

WallCRelief

0

WallCThickness.Value

30 (millimeters part), 1.2 (inches part)

WallDCreate

1

WallDOffset.Value

0 (millimeters part), 0 (inches part)

WallDRelief

0

WallDThickness.Value

30 (millimeters part), 1.2 (inches part)

WallPercentage.Value

40

Width.Value

150 (millimeters part), 6 (inches part)

XOffset.Value

0 (millimeters part), 0 (inches part)

YOffset.Value

0 (millimeters part), 0 (inches part)


Created in NX6.0.0.

Member Enumeration Documentation

Heelpost types.

Enumerator
TypesGuidepostWearplate 

allows a guide pin hole to be created

TypesStorageBlock 

no hole allowed

TypesSafetyBlock 

no hole allowed

Member Function Documentation

double NXOpen::Die::HeelpostBuilder::AngleTolerance ( )

Returns the angle tolerance
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::BaseOffset ( )

Returns the offset to apply to the given base before building the heelpost
Created in NX6.0.0.



License requirements : None

NXOpen::Die::DiePlaneBuilder* NXOpen::Die::HeelpostBuilder::BaseOrientation ( )

Returns the base of the heelpost
Created in NX6.0.0.



License requirements : None

NXOpen::Die::DieLocationBuilder* NXOpen::Die::HeelpostBuilder::Center ( )

Returns the location (center) for the heelpost
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::HeelpostBuilder::CreateFloor ( )

Returns the value (true or false) to decide if the floor of the post should be created
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::Diameter ( )

Returns the diameter of the guide pin hole
Created in NX6.0.0.



License requirements : None

NXOpen::SelectCoordinateSystem* NXOpen::Die::HeelpostBuilder::DieCenterlineCoordinateSystem ( )

Returns the die centerline coordinate system for orienting the heelpost
Created in NX6.0.0.



License requirements : None

double NXOpen::Die::HeelpostBuilder::DistanceTolerance ( )

Returns the distance tolerance
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::FloorThickness ( )

Returns the floor thickness
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::Height ( )

Returns the height from the selected base orientation to the origin of the pad orientation, if the pad orientation is not specified.

This is before application of any specified base and pad offsets.
Created in NX6.0.0.

License requirements : None

NXOpen::Die::DieAttributesBuilder* NXOpen::Die::HeelpostBuilder::HoleAttributes ( )

Returns the hole attributes
Created in NX6.0.0.



License requirements : None

NXOpen::Die::DieAttributesBuilder* NXOpen::Die::HeelpostBuilder::HoleDiameterAttributes ( )

Returns the hole diameter attributes (only the title is used)
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::Length ( )

Returns the length with respect to the coordinate system
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::LocationOffset ( )

Returns the offset value to apply in the offset direction to find the heelpost center
Created in NX6.0.0.



License requirements : None

NXOpen::Die::DieDirectionBuilder* NXOpen::Die::HeelpostBuilder::OffsetDirection ( )

Returns the direction to apply to the location to determine the center of the heelpost
Created in NX6.0.0.



License requirements : None

NXOpen::Die::DieAttributesBuilder* NXOpen::Die::HeelpostBuilder::PadAttributes ( )

Returns the pad attributes
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::PadOffset ( )

Returns the offset value to apply to the pad orientation before building the heelpost
Created in NX6.0.0.



License requirements : None

NXOpen::Die::DiePlaneBuilder* NXOpen::Die::HeelpostBuilder::PadOrientation ( )

Returns the orientation at the top of the heelpost
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::PadThickness ( )

Returns the pad thickness at the top of the post
Created in NX6.0.0.



License requirements : None

NXOpen::Die::DieAttributesBuilder* NXOpen::Die::HeelpostBuilder::ReliefAttributes ( )

Returns the relief attributes
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::ReliefDepth ( )

Returns the relief depth
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::ReliefWidth ( )

Returns the relief width
Created in NX6.0.0.



License requirements : None

void NXOpen::Die::HeelpostBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
angleToleranceangletolerance
void NXOpen::Die::HeelpostBuilder::SetCreateFloor ( bool  createFloor)

Sets the value (true or false) to decide if the floor of the post should be created
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
createFloorcreatefloor
void NXOpen::Die::HeelpostBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Die::HeelpostBuilder::SetType ( NXOpen::Die::HeelpostBuilder::Types  type)

Sets the post type
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
typetype
void NXOpen::Die::HeelpostBuilder::SetUsePercent ( bool  usePercent)

Sets the value (true or false) to decide how to determine the wall thickness.

True will evaluate each wall based on the total area of the post
Created in NX6.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
usePercentusepercent
void NXOpen::Die::HeelpostBuilder::SetWallACreate ( bool  wallACreate)

Sets the value (true or false) to decide if the "A" wall should be created
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
wallACreatewallacreate
void NXOpen::Die::HeelpostBuilder::SetWallARelief ( bool  wallARelief)

Sets the value (true or false) to decide if relief should be created at the top of the "A" wall
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
wallAReliefwallarelief
void NXOpen::Die::HeelpostBuilder::SetWallBCreate ( bool  wallBCreate)

Sets the value (true or false) to decide if the "B" wall should be created
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
wallBCreatewallbcreate
void NXOpen::Die::HeelpostBuilder::SetWallBRelief ( bool  wallBRelief)

Sets the value (true or false) to decide if relief should be created at the top of the "B" wall
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
wallBReliefwallbrelief
void NXOpen::Die::HeelpostBuilder::SetWallCCreate ( bool  wallCCreate)

Sets the value (true or false) to decide if the "C" wall should be created
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
wallCCreatewallccreate
void NXOpen::Die::HeelpostBuilder::SetWallCRelief ( bool  wallCRelief)

Sets the value (true or false) to decide if relief should be created at the top of the "C" wall
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
wallCReliefwallcrelief
void NXOpen::Die::HeelpostBuilder::SetWallDCreate ( bool  wallDCreate)

Sets the value (true or false) to decide if the "D" wall should be created
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
wallDCreatewalldcreate
void NXOpen::Die::HeelpostBuilder::SetWallDRelief ( bool  wallDRelief)

Sets the value (true or false) to decide if relief should be created at the top of the "D" wall
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
wallDReliefwalldrelief
NXOpen::SelectNXObject* NXOpen::Die::HeelpostBuilder::Target ( )

Returns the target solid the heelpost will be united with
Created in NX6.0.0.



License requirements : None

NXOpen::Die::HeelpostBuilder::Types NXOpen::Die::HeelpostBuilder::Type ( )

Returns the post type
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::HeelpostBuilder::UsePercent ( )

Returns the value (true or false) to decide how to determine the wall thickness.

True will evaluate each wall based on the total area of the post
Created in NX6.0.0.

License requirements : None

bool NXOpen::Die::HeelpostBuilder::WallACreate ( )

Returns the value (true or false) to decide if the "A" wall should be created
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::WallAOffset ( )

Returns the offset from the outside to be applied to the "A" wall
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::HeelpostBuilder::WallARelief ( )

Returns the value (true or false) to decide if relief should be created at the top of the "A" wall
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::WallAThickness ( )

Returns the "A" wall thickness
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::HeelpostBuilder::WallBCreate ( )

Returns the value (true or false) to decide if the "B" wall should be created
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::WallBOffset ( )

Returns the offset from the outside to be applied to the "B wall
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::HeelpostBuilder::WallBRelief ( )

Returns the value (true or false) to decide if relief should be created at the top of the "B" wall
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::WallBThickness ( )

Returns the "B" wall thickness
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::HeelpostBuilder::WallCCreate ( )

Returns the value (true or false) to decide if the "C" wall should be created
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::WallCOffset ( )

Returns the offset from the outside to be applied to the "C" wall
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::HeelpostBuilder::WallCRelief ( )

Returns the value (true or false) to decide if relief should be created at the top of the "C" wall
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::WallCThickness ( )

Returns the "C" wall thickness
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::HeelpostBuilder::WallDCreate ( )

Returns the value (true or false) to decide if the "D" wall should be created
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::WallDOffset ( )

Returns the offset from the outside to be applied to the "D" wall
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::HeelpostBuilder::WallDRelief ( )

Returns the value (true or false) to decide if relief should be created at the top of the "D" wall
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::WallDThickness ( )

Returns the "D" wall thickness
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::WallPercentage ( )

Returns the percentage of the post area to be applied to determine the wall thicknesses
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::Width ( )

Returns the width with respect to the coordinate system
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::XOffset ( )

Returns the offset applied in the X direction to determine the hole center
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::HeelpostBuilder::YOffset ( )

Returns the offset applied in the Y direction to determine the hole center
Created in NX6.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.